Bug 518879 - KMS locks up video on fullscreen mplayer on xv driver
Summary: KMS locks up video on fullscreen mplayer on xv driver
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 19:05 UTC by David Benjamin
Modified: 2018-04-11 13:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-12 15:27:38 UTC


Attachments (Terms of Use)
dmesg command output obtained just after hang (120.52 KB, text/plain)
2009-08-23 19:05 UTC, David Benjamin
no flags Details
smolt profile (5.16 KB, text/plain)
2009-08-23 19:05 UTC, David Benjamin
no flags Details
/var/log/dmesg from crashing session (37.04 KB, text/plain)
2009-08-23 19:07 UTC, David Benjamin
no flags Details
/var/log/Xorg.0.log from crashing session (29.99 KB, text/plain)
2009-08-23 19:09 UTC, David Benjamin
no flags Details

Description David Benjamin 2009-08-23 19:05:15 UTC
Created attachment 358379 [details]
dmesg command output obtained just after hang

Description of problem:
When KMS is enabled, fullscreen mplayer locks up video. Keyboard does not appear responsive, although I can ssh and reboot the machine from there. Booting with nomodeset causes no crash.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel version 2.7.0, release 7.fc11
mplayer from rpmfusion-free, version 1.0, release 0.109.20090329svn.fc11

How reproducible:
Always

Steps to Reproduce:
1. Boot with kernel mode-setting
2. mplayer Plymouth-charge.ogg from https://fedoraproject.org/w/uploads/5/5f/Plymouth-charge.ogg
3. Press f to enter full-screen
  
Actual results:
Screen locks up, must ssh remotely and reboot.

Expected results:
Video plays fullscreen.

Additional info:
This problem does not occur when booting with nomodeset or using -vo gl

Graphics controller is a:
00:02.0 VGA compatible controller: Intel Corporation 82G33/G31 Express Integrated Graphics Controller (rev 02)

Clean install (made last night).

Comment 1 David Benjamin 2009-08-23 19:05:54 UTC
Created attachment 358380 [details]
smolt profile

Comment 2 David Benjamin 2009-08-23 19:07:29 UTC
Created attachment 358381 [details]
/var/log/dmesg from crashing session

(Oh, forgot to mention: these logs are from boot with drm.debug=1.)

Comment 3 David Benjamin 2009-08-23 19:09:34 UTC
Created attachment 358382 [details]
/var/log/Xorg.0.log from crashing session

Comment 4 Matěj Cepl 2009-11-05 18:36:51 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 5 David Benjamin 2010-02-12 07:33:18 UTC
Well, it didn't get closed, but I checked briefly after updating the machine to F12. All's good.

Comment 6 Matěj Cepl 2010-02-12 15:27:38 UTC
Thank you for letting us know.


Note You need to log in before you can comment on or make changes to this bug.